Subject: linux-next: manual merge of the ia64 tree with the dma-mapping tree

From: Mark Brown <[email-masked]>
Date: Mon, 16 Sep 2019 12:20:42 +0100

Hi all,

Today's linux-next merge of the ia64 tree got a conflict in:

  arch/ia64/sn/pci/pci_dma.c

between commit:

  f9f3232a7d0ab73a3 ("dma-mapping: explicitly wire up ->mmap and ->get_sgtable")

from the dma-mapping tree and commit:

  cf07cb1ff4ea008ab ("ia64: remove support for the SGI SN2 platform")

from the ia64 tree.

I fixed it up by taking the delete from ia64 and can carry the fix as
necessary. This is now fixed as far as linux-next is concerned, but any
non trivial conflicts should be mentioned to your upstream maintainer
when your tree is submitted for merging.  You may also want to consider
cooperating with the maintainer of the conflicting tree to minimise any
particularly complex conflicts.